Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-36039

Support LibreSSL 2.7 on FreeBSD

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.6.7, 4.0.1, 4.1.1
    • Component/s: Build
    • Labels:
      None
    • Backwards Compatibility:
      Fully Compatible
    • Operating System:
      ALL
    • Backport Requested:
      v4.0, v3.6
    • Sprint:
      Platforms 2018-07-30

      Description

      Per https://wiki.freebsd.org/LibreSSL/2.7, LibreSSL introduces OpenSSL 1.1 API, and MongoDB has to be updated to support these checks.

      Pull Request: https://github.com/mongodb/mongo/pull/1252

        Attachments

          Activity

            People

            Assignee:
            mark.benvenuto Mark Benvenuto
            Reporter:
            mark.benvenuto Mark Benvenuto
            Participants:
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: